Bug 1192080

Summary: Please switch to Python 3
Product: [Fedora] Fedora Reporter: Bohuslav "Slavek" Kabrda <bkabrda>
Component: abrtAssignee: abrt <abrt-devel-list>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: abrt-devel-list, dvlasenk, iprikryl, jfilak, mhabrnal, mhroncok, michal.toman, mmilata
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: abrt-2.6.2-1.fc23 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-07-21 04:22:03 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Bohuslav "Slavek" Kabrda 2015-02-12 15:24:39 UTC
Hi, as per [1], I'd like to ask you to switch to building with Python 3. AFAICS, these binary packages produced from abrt.srpm are affected:

abrt
abrt-addon-ccpp
abrt-addon-pstoreoops
abrt-addon-vmcore
abrt-cli (requires both abrt-addon-python and abrt-addon-python3)
abrt-desktop (requires both abrt-addon-python and abrt-addon-python3)

The first four should be switched and the last two should ideally depend just on abrt-addon-python3 to achieve no dependency on Python 2.

Please do this both for F22 and rawhide (the future F23).

[1] https://fedoraproject.org/wiki/Changes/Python_3_Migration_Improvements

Comment 1 Jakub Filak 2015-07-14 15:31:44 UTC
I have opened an upstream pull request that moves ABRT to Python3:
https://github.com/abrt/abrt/pull/1011

Comment 2 Jan Kurik 2015-07-15 14:33:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 3 Miro Hrončok 2015-07-20 07:59:43 UTC
Jakub, thanks for upstream PR. When do you plan to move it to dist-git?

Comment 4 Jakub Filak 2015-07-20 08:20:29 UTC
Miro, I am trying to push it to dist-git since this morning but all my scratch builds have failed due to an mysterious dependency error caused python3-dnf and python3-hawykey.


http://koji.fedoraproject.org/koji/taskinfo?taskID=10408269
http://koji.fedoraproject.org/koji/taskinfo?taskID=10408343
http://koji.fedoraproject.org/koji/taskinfo?taskID=10408454

Comment 5 Miro Hrončok 2015-07-21 09:52:04 UTC
Thank you.